%global momorel 2
%ifarch ia64
%global optflags -fPIC -DPIC
%endif

Summary: Portable Tools Library
Name: ptlib
Version: 2.6.2
Release: %{momorel}m%{?dist}
URL: http://www.opalvoip.org/wiki/
Source0: http://ftp.gnome.org/pub/gnome/sources/%{name}/2.6/%{name}-%{version}.tar.bz2 
NoSource: 0

License: MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: SDL-devel
BuildPrereq: expat, openssl-devel >= 0.9.8a, pkgconfig
BuildPrereq: gcc-c++
BuildPrereq: alsa-lib
BuildPrereq: openldap-devel >= 2.4.0
Requires: alsa-lib
Obsoletes: pwlib
Provides: pwlib

%description
PTLib (Portable Tools Library) is a moderately large class library
that has it's genesis many years ago as PWLib (portable Windows
Library), a method to product applications to run on both Microsoft
Windows and Unix systems. It has also been ported to other systems
such as Mac OSX, VxWorks and other embedded systems
#'

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: pwlib-devel
Provides: pwlib-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
%configure \
    --enable-openh323 \
    --enable-opal \
    --enable-plugins \
    --enable-samples \
    --enable-configfile \
    --enable-url \
    --enable-http \
    --enable-httpforms \
    --enable-httpsvc \
    --enable-jabber \
    --enable-vxml \
    --enable-xmlrpc \
    --enable-soap \
    --enable-tts \
    --enable-asn \
    --enable-stun \
    --enable-pipechan \
    --enable-dtmf \
    --enable-wavfile \
    --enable-socks \
    --enable-ftp \
    --enable-snmp \
    --enable-telnet \
    --enable-remconn \
    --enable-serial \
    --enable-pop3smtp \
    --enable-sockagg \
    --enable-audio \
    --enable-qos \
    --enable-video \
    --enable-vidfile \
    --enable-appshare \
    --enable-shmvideo \
    --enable-v4l \
    --enable-v4l2 \
    --disable-avc \
    --disable-dc \
    --enable-alsa \
    --enable-oss 
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# hack to fixup things for bug 197318
find %{buildroot}%{_libdir} -name '*.so' -type f -exec chmod +x {} \;

%clean
rm -rf --preserve-root %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc History.txt ReadMe.txt mpl-1.0.htm ChangeLog-ptlib-*.txt
%doc README_VXWORKS.txt ReadMe_QOS.txt mpl-1.0.htm
%{_bindir}/ptlib-config
%{_libdir}/libpt.so.*
%{_libdir}/%{name}-%{version}

%files devel
%{_includedir}/ptbuildopts.h
%{_includedir}/ptlib.h
%{_includedir}/ptclib
%{_includedir}/ptlib
%{_libdir}/libpt.so
%{_libdir}/libpt_s.a
%{_libdir}/pkgconfig/ptlib.pc
%{_datadir}/%{name}

%changelog
* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.2-2m)
- remove --enable-avc and --enable-dc since we can not compile DC and
  AVC plugins against current lib*1394 libraries.

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.2-1m)
- update to 2.6.2

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.1-1m)
- update to 2.6.1

* Thu Mar  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.0-1m)
- update to 2.6.0

* Sat Feb 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.5.2-1m)
- update to 2.5.2

* Fri Jan 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.4-3m)
- modify spec file to fix up Obsoletes: pwlib

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.4-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.4-1m)
- update to 2.4.4

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Thu Sep 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.1-1m)
- initial build
